liblombok-patcher-java_0.30-1_all.deb


Advertisement

Description

liblombok-patcher-java - live-rewrite classes as a JVM runs

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename liblombok-patcher-java_0.30-1_all.deb
Package name liblombok-patcher-java
Package version 0.30
Package release 1
Package architecture all
Package type deb
Category java
Homepage https://projectlombok.org
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 67.21 KB
Installed size 156.00 KB
Lombok Patcher gives you the ability to live-rewrite classes as a JVM
runs, either by loading as an agent during JVM bootup or by injecting
the agent 'live' during execution.
To make this easier than fiddling with classes directly, Lombok
Patcher offers a few 'patch scripts' to do common tasks, such as wrap
your own code around any method call, replace methods entirely with
your own, or add fields.
lombok.patcher also includes support for getting around the Eclipse
OSGi container's classloader separation.

Alternatives

Package Version Architecture Repository
liblombok-patcher-java_0.30-1_all.deb 0.30 all Debian Main
liblombok-patcher-java - - -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblombok-patcher-java_0.30-1_all.deb
Source Package lombok-patcher

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblombok-patcher-java deb package:
    # sudo apt-get install liblombok-patcher-java

Files

Path
/usr/share/doc/liblombok-patcher-java/changelog.Debian.gz
/usr/share/doc/liblombok-patcher-java/copyright
/usr/share/java/lombok.injector-0.30.jar
/usr/share/java/lombok.injector.jar
/usr/share/java/lombok.patcher-0.30.jar
/usr/share/java/lombok.patcher.jar

Changelog

2018-11-03 - Markus Koschany <apo@debian.org>
lombok-patcher (0.30-1) unstable; urgency=medium
* New upstream version 0.30.
2018-10-04 - Markus Koschany <apo@debian.org>
lombok-patcher (0.28-1) unstable; urgency=medium
* New upstream version 0.28.
- Fix FTBFS with OpenJDK 10. (Closes: 906383)
* Switch to compat level 11.
* Use https for Format field.
* Declare compliance with Debian Policy 4.2.1.
* Update build.patch for new release.
2017-09-29 - Emmanuel Bourg <ebourg@apache.org>
lombok-patcher (0.22-2) unstable; urgency=medium
* Team upload.
* Depend on libasm-java (>= 5.0) instead of libasm4-java
* Standards-Version updated to 4.1.1
2016-11-09 - Markus Koschany <apo@debian.org>
lombok-patcher (0.22-1) unstable; urgency=medium
* New upstream version 0.22.
* Declare compliance with Debian Policy 3.9.8.
* Switch to compat level 10.
* Update liblombok-patcher-java.jlibs
2016-02-25 - Markus Koschany <apo@debian.org>
lombok-patcher (0.20-3) unstable; urgency=medium
* Remove versioned build-dependency on liblombok-java. (Closes: #815660)
* Remove ivy from Build-Depends.
* Update build.patch and define compilerarg processorpath explicitly. This
ensures that the correct annotation processor is instantiated and prevents
build failures.
2016-02-17 - Markus Koschany <apo@debian.org>
lombok-patcher (0.20-2) unstable; urgency=medium
* Rebuild against the not-repacked version of liblombok-java.
(Closes: #814876)
* Update build.patch and readd build/packInjector.
* debian/rules: Remove include line.
* d/rules: Remove -Dbasedir option. Not needed.
* Install lombok.injector.jar.
* Tighten build-dependency on liblombok-java to >= 1:1.16.6.
2016-02-15 - Markus Koschany <apo@debian.org>
lombok-patcher (0.20-1) unstable; urgency=medium
* Initial release. (Closes: #814801)

See Also

Package Description
liblorene-debian1_0.0.0~cvs20161116+dfsg-1+b13_i386.deb liblorene shared library
liblorene-dev_0.0.0~cvs20161116+dfsg-1+b13_i386.deb development files for the LORENE framework for numerical relativity
liblorene-export-debian0_0.0.0~cvs20161116+dfsg-1+b13_i386.deb liblorene_export shared library
liblorenef77-debian1_0.0.0~cvs20161116+dfsg-1+b13_i386.deb liblorenef77 shared library
libloudmouth1-0_1.5.3-5_i386.deb Lightweight C Jabber library
libloudmouth1-dev_1.5.3-5_i386.deb Development files for Loudmouth Jabber library
liblouis-bin_3.8.0-2_i386.deb Braille translation library - utilities
liblouis-data_3.8.0-2_all.deb Braille translation library - data
liblouis-dev_3.8.0-2_i386.deb Braille translation library - static libs and headers
liblouis17_3.8.0-2_i386.deb Braille translation library - shared libs
liblouisutdml-bin_2.7.0-5+b1_i386.deb Braille UTDML translation utilities
liblouisutdml-data_2.7.0-5_all.deb Braille UTDML translation library - data
liblouisutdml-dev_2.7.0-5+b1_i386.deb Braille UTDML translation library - static libs and headers
liblouisutdml-java-doc_2.7.0-5_all.deb Braille UTDML translation library - java bindings documentation
liblouisutdml-java_2.7.0-5_all.deb Braille UTDML translation library - java bindings
Advertisement
Advertisement